var supportsPassive = false;
try {
 var opts = Object.defineProperty({}, 'passive', {
 get: function() {
 supportsPassive = true;
 }
 });
 window.addEventListener("testPassive", null, opts);
 window.removeEventListener("testPassive", null, opts);
} catch (e) {}
//
// Only can be used before document is loaded
//
function loadCss(href, callback){
 var cb = function() {
 var l = document.createElement('link');
 l.rel = 'stylesheet';
 l.href = href;
 l.type = 'text/css';
 var h = document.getElementsByTagName('head')[0];
 h.appendChild(l, h);
 if (typeof callback === 'function') {
 l.onload = l.onreadystatechange = function(event) {
 event = event || window.event;
 if (event.type === 'load' || (/loaded|complete/.test(l.readyState))) {
 l.onload = l.onreadystatechange = null;
 callback();
 }
 };
 }
 };
 var raf = requestAnimationFrame || mozRequestAnimationFrame ||
 webkitRequestAnimationFrame || msRequestAnimationFrame;
 if (raf) raf(cb);
 else window.addEventListener('load', cb, supportsPassive ? { passive: true } : false);
}
function lazyLoadImages(lazyloadImages){
 if ("IntersectionObserver" in window) {
 var imageObserver = new IntersectionObserver(function(entries, observer) {
 entries.forEach(function(entry) {
 if (entry.isIntersecting) {
 if( entry.target instanceof HTMLImageElement ) {
 var image = entry.target;
 if(image.dataset.src) {
 var newURL=image.dataset.src;
 image.src = newURL + "?v="+resourcesRevision;
 image.removeAttribute('data-src');
 image.classList.remove("lazy");
 imageObserver.unobserve(image);
 }
 } else {
 var elem = entry.target;
 elem.classList.remove("lazy");
 imageObserver.unobserve(elem);
 }
 }
 });
 });
 lazyloadImages.forEach(function(image) {
 imageObserver.observe(image);
 });
 } else {
 var lazyloadThrottleTimeout;
 function lazyload () {
 if(lazyloadThrottleTimeout) {
 clearTimeout(lazyloadThrottleTimeout);
 }
 lazyloadThrottleTimeout = setTimeout(function() {
 var scrollTop = window.pageYOffset;
 lazyloadImages.forEach(function(entry) {
 if( entry instanceof HTMLImageElement ) {
 if(entry.offsetTop < (window.innerHeight + scrollTop)) {
 if(entry.dataset.src ) {
 var newURL=entry.dataset.src;
 entry.src = newURL+ "?v="+resourcesRevision;
 entry.removeAttribute('data-src');
 entry.classList.remove('lazy');
 }
 }
 } else {
 entry.classList.remove('lazy');
 }
 });
 if(lazyloadImages.length == 0) {
 document.removeEventListener("scroll", lazyload);
 window.removeEventListener("resize", lazyload);
 window.removeEventListener("orientationChange", lazyload);
 }
 }, 20);
 }
 document.addEventListener("scroll", lazyload, supportsPassive ? { passive: true } : false);
 window.addEventListener("resize", lazyload, supportsPassive ? { passive: true } : false);
 window.addEventListener("orientationChange", lazyload, supportsPassive ? { passive: true } : false);
 }
}
window.addEventListener('load', function(){
 lazyLoadImages( document.querySelectorAll(".lazy") );
}, supportsPassive ? { passive: true } : false);var onGeoinfoLoadedPromise = new Promise(function(resolve, reject) {
 var getCookie = function(name) {
 var nameEQ = name + "=";
 var ca = document.cookie.split(';');
 for(var i=0;i < ca.length;i++) {
 var c = ca[i];
 while (c.charAt(0)==' ') c = c.substring(1,c.length);
 if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
 }
 return null;
 };
 var setCookie = function(name,value,days) {
 var expires = "";
 if (days) {
 var date = new Date();
 date.setTime(date.getTime() + (days*24*60*60*1000));
 expires = "; expires=" + date.toUTCString();
 }
 document.cookie = name + "=" + (value || "") + expires + "; path=/";
 };
 var loadGeoInfo = function(){
 var request = new XMLHttpRequest();
 var url = store_url + "/../geoinfo/";
 request.open('GET', url, true);
 request.onload = function() {
 if (request.status >= 200 && request.status < 400) {
 var data = JSON.parse(request.responseText);
 console.log("geoinfo", data);
 setCookie('cc',data.cc,7);
 resolve(data.cc);
 }
 };
 request.send();
 };
 console.log("store_override_cc", store_override_cc);
 if(store_override_cc){
 setCookie('cc',store_override_cc,7);
 }
 var cc=getCookie("cc");
 console.log("getCookie cc", cc);
 if(!cc){
 loadGeoInfo();
 } else {
 resolve( cc );
 }
});
var onCartLoadedPromise = new Promise(function(resolve, reject) {
 var loadCartInfo = function(cc){
 var d = new Date();
 var url = store_url + "/wp-admin/admin-ajax.php";
 var params = new FormData();
 params.append('action', 'ws_site_cart');
 params.append('cc',cc);
 var request = new XMLHttpRequest();
 request.open('POST', url, true);
 request.onload = function() {
 if (request.status >= 200 && request.status < 400) {
 var data = JSON.parse(request.responseText);
 console.log("storeWorker", data);
 resolve(data);
 }
 };
 request.send(params);
 };
 onGeoinfoLoadedPromise.then(function(cc){
 console.log("loadCartInfo called", cc);
 loadCartInfo(cc);
 });
});
function _loadStoreData(){
 onCartLoadedPromise.then(function(store_data){
 //console.log("onCartLoadedPromise", store_data);
 //document.addEventListener("DOMContentLoaded", function(event) {
 var site_target=store_data.site_target.replace(" ", "_");
 var entries;
 //entries.forEach(function(entry) { entry.classList.remove("hide"); });
 if(!props.hide_banners){
 document.querySelectorAll(".site-target-"+site_target).forEach( entry => entry.classList.remove("hide") );
 document.querySelectorAll(".site-cc-"+store_data.cc).forEach( entry => entry.classList.remove("hide") );
 }
 var targets=["Native", "NNEST", "NNEST B"];
 targets.forEach( value => {
 value=value.replace("_", " ");
 if( store_data.site_target != value ) {
 document.querySelectorAll(".site-target-no-"+value).forEach( entry => entry.classList.remove("hide") );
 }
 });
 document.querySelectorAll(".cart_count").forEach( entry => entry.innerHTML = store_data.cart.length );
 Object.keys(store_data.products).forEach( i => {
 if(i<29)
 return;
 if(!store_data.products[i].cover_url){
 return;
 }
 var $cont=document.querySelector("ul.products");
 if($cont) {
 var $li=$cont.querySelector("li.hide").cloneNode(true);
 $li.classList.remove("hide");
 $li.querySelector("a").href=store_url + "/buy-now?pid=" + store_data.products[i].id;
 $li.querySelector("span").innerHTML=store_data.products[i].name;
 $li.querySelector("img").src="http://" + store_data.products[i].cover_url;
 $cont.appendChild($li);
 }
 });
 function getByTarget(id) {
 return id;
 }
 var updateImgs=[];
 document.querySelectorAll(".price-local-display").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 if(store_data.products[id]) {
 if(store_data.products[id].price_local != store_data.products[id].price) {
 if( store_data.products[id].price_local != 0 ){
 elem.innerHTML=store_data.products[id].price_local_display;
 updateImgs.push( elem.querySelector(".lazy") );
 }
 }
 } else {
 console.log("Product not found", id);
 }
 });
 //Sale Badge
 document.querySelectorAll(".sale-badge-perc").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 if(store_data.products[id] && store_data.products[id].sale_badge_perc != ""){
 elem.innerHTML=store_data.products[id].sale_badge_perc;
 } else {
 elem.parentNode.style.display = 'none';
 }
 });
 document.querySelectorAll(".price-display").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 if(store_data.products[id] && store_data.products[id].price_display){
 elem.innerHTML=store_data.products[id].price_display;
 updateImgs.push( elem.querySelector(".lazy") );
 }
 });
 document.querySelectorAll(".price-display-sign").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 elem.innerHTML=( store_data.products[id] ? store_data.products[id].price_display_sign : '' );
 });
 document.querySelectorAll(".price-display-number").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 elem.innerHTML=( store_data.products[id] ? store_data.products[id].price_display_number : '' );
 });
 //Tuition
 document.querySelectorAll(".price-tuition-display").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 if(store_data.products[id] && store_data.products[id].price_tuition_display){
 elem.innerHTML=store_data.products[id].price_tuition_display;
 updateImgs.push( elem.querySelector(".lazy") );
 }
 });
 document.querySelectorAll(".price-tuition-display-sign").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 elem.innerHTML=( store_data.products[id] ? store_data.products[id].price_tuition_display_sign : '' );
 });
 document.querySelectorAll(".price-tuition-display-number").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 elem.innerHTML=( store_data.products[id] ? store_data.products[id].price_tuition_display_number : '' );
 });
 //Was
 document.querySelectorAll(".price-was-display").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 if(store_data.products[id] && store_data.products[id].price_was_display){
 elem.innerHTML=store_data.products[id].price_was_display;
 updateImgs.push( elem.querySelector(".lazy") );
 }
 });
 document.querySelectorAll(".price-was-display-sign").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 elem.innerHTML=( store_data.products[id] ? store_data.products[id].price_was_display_sign : '' );
 });
 document.querySelectorAll(".price-was-display-number").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 elem.innerHTML=( store_data.products[id] ? store_data.products[id].price_was_display_number : '' );
 });
 document.querySelectorAll(".price-was-enabled").forEach(elem=>{
 var id=getByTarget( elem.getAttribute("rel") );
 if(store_data.products[id] && store_data.products[id].price_was){
 if( store_data.products[id].price_was != store_data.products[id].price ) {
 elem.classList.remove("hide");
 }
 }
 });
 lazyLoadImages(updateImgs);
 document.querySelectorAll("a.go-to-cart").forEach($this=>{
 var id=getByTarget( $this.getAttribute("rel") );
 if( $this.getAttribute("data-product-id") ){
 id=$this.getAttribute("data-product-id");
 }
 var product_id=getByTarget( id );
 var allow_promo_code=$this.getAttribute("data-allow-promocode");
 var d = new Date();
 /* BUY NOW
 if(product_id) {
 var url=store_url + "/buy-now?pid=" + product_id;
 if( $this.getAttribute("data-from") ){
 var from=$this.getAttribute("data-from");
 url=url+"&from="+from;
 }
 var promocode=$this.getAttribute("data-promo-code");
 if( typeof props.prod_codes != "undefined" && props.prod_codes[product_id]){
 //Allow only one
 promocode=props.prod_codes[product_id][0].code;
 }
 if( allow_promo_code && promocode ){
 url=url+ "&addPromoCode=" + promocode;
 }
 url=url+"&token=" + store_data.token + "&u=" + d.getTime();
 $this.href=url;
 $this.style.visibility="visible";
 return;
 }
 */
 if(product_id) {
 $this.addEventListener('click', function() {
 //$this.classList.add('loading');
 var loadingDiv = document.getElementById('loading');
 loadingDiv.style.visibility = 'visible';
 var url = store_url + "/wp-admin/admin-ajax.php";
 var params = new FormData();
 params.append('action', 'ws_site_add_to_cart');
 params.append('pid',product_id);
 var request = new XMLHttpRequest();
 request.open('POST', url, true);
 request.onload = function() {
 if (request.status >= 200 && request.status < 400) {
 var data = JSON.parse(request.responseText);
 console.log("ws_site_add_to_cart", data);
 if( data.result ) {
 //Add to cart redirection if is all OK
 window.location=store_url + "/cart/";
 } else {
 //$this.classList.remove('loading');
 loadingDiv.style.visibility = 'hidden';
 if( data.add_to_cart_not_conbinable_with_id ) {
 $(document).ready(function(){
 function replacePlaceholders(inputString, replacementObject) {
 // Create a regular expression to match placeholders with square brackets
 const placeholderRegex = /\[(.*?)\]/g;
 // Use the replace() method with a function to handle replacements
 const replacedString = inputString.replace(placeholderRegex, (match, placeholder) => {
 // Check if the placeholder exists in the replacement object
 if (replacementObject.hasOwnProperty(placeholder)) {
 return replacementObject[placeholder];
 } else {
 // Return the original placeholder if it doesn't exist in the replacement object
 return match;
 }
 });
 return replacedString;
 }
 const modalHtml = `
 <div class="modal" tabindex="-1" role="dialog" id="dynamicModal">
 <div class="modal-dialog" role="document">
 <div class="modal-content">
 <div class="modal-header">
 <h5 class="modal-title">Notice</h5>
 <button type="button" class="close" data-dismiss="modal" data-bs-dismiss="modal" aria-label="Close">
 <span aria-hidden="true">&times;</span>
 </button>
 </div>
 <div class="modal-body">
 <p>The <b>[name1]</b> is not combinable with <b>[name2]</b> that is already in your cart due to overlapping curriculum.</p>
 <p>If you want to add it anyway and replace <b>[name2]</b>, please select <b>Replace it</b>. If you would like to keep <b>[name2]</b>, please select <b>Nevermind</b>.</p>
 </div>
 <div class="modal-footer">
 <button type="button" class="btn btn-primary" data-dismiss="modal" data-bs-dismiss="modal">Nevermind</button>
 <button type="button" class="btn btn-primary" onClick="replaceProduct([id1], [id2]);">Replace it</button>
 </div>
 </div>
 </div>
 </div>
 `;
 const replacementObject = {
 id1: data.add_to_cart_id,
 name1: data.add_to_cart_name,
 id2: data.add_to_cart_not_conbinable_with_id,
 name2: data.add_to_cart_not_conbinable_with_name,
 };
 const result = replacePlaceholders(modalHtml, replacementObject);
 // Append the modal HTML to the body
 $('body').append(result);
 $('#dynamicModal').modal('show');
 });
 }
 }
 } else {
 //$this.classList.remove('loading');
 loadingDiv.style.visibility = 'hidden';
 }
 };
 request.send(params);
 }, false);
 $this.href="javascript:;";
 $this.style.visibility="visible";
 return;
 }
 });
 //});
 });
 onCartLoadedPromise.then(function(store_data){
 setAffiliate = function(sid){
 var d = new Date();
 var url = store_url + "/wp-admin/admin-ajax.php";
 const landing_urlObj = new URL(window.location);
 landing_urlObj.search = '';
 landing_urlObj.hash = '';
 const landing_url = landing_urlObj.toString();
 var params = new FormData();
 params.append('action', 'sld_affiliate_track_visit');
 params.append('affiliate_slug', sid);
 params.append('landing_url', landing_url );
 params.append('http_referrer', document.referrer);
 params.append('visit_ip', props.ip);
 var request = new XMLHttpRequest();
 request.open('POST', url, true);
 request.onload = function() {
 console.log("sld_affiliate_track_visit", request.responseText);
 };
 request.send(params);
 };
 if(affiliate_slug){
 setAffiliate(affiliate_slug);
 }
 });
}
function replaceProduct(replaceFor, toReplace) {
 var d = new Date();
 var url = store_url + "/wp-admin/admin-ajax.php?u=" + d.getTime();
 var params = new FormData();
 params.append('action', 'ws_site_add_to_cart');
 params.append('replace_for',replaceFor);
 params.append('to_replace',toReplace);
 params.append('replace',true);
 var request = new XMLHttpRequest();
 request.open('POST', url, true);
 request.onload = function() {
 if (request.status >= 200 && request.status < 400) {
 var data = JSON.parse(request.responseText);
 console.log("replaceProduct", data);
 if( data.result ) {
 window.location=store_url + "/cart/";
 }
 }
 };
 request.send(params);
}
if(document.readyState === "complete" || document.readyState === "interactive"){
 _loadStoreData();
} else {
 window.addEventListener('load', _loadStoreData, supportsPassive ? { passive: true } : false);
}

function _loadTracking(){
 ////////////
 // Tracking
 ////////////
 // Google Tag Manager
 // (function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
 // new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
 // j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
 // 'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
 // })(window,document,'script','dataLayer','GTM-5JTXRT');
 //Linkedin
 //setTimeout(function(){
 window._linkedin_data_partner_ids = window._linkedin_data_partner_ids || [];
 window._linkedin_data_partner_ids.push("2141513");
 (function(){var s = document.getElementsByTagName("script")[0];
 var b = document.createElement("script");
 b.type = "text/javascript";b.async = true;
 b.src = "https://snap.licdn.com/li.lms-analytics/insight.min.js";
 s.parentNode.insertBefore(b, s);})();
 //},2000);
 /* Facebook Pixel Code */
 //setTimeout(function(){
 !function(f,b,e,v,n,t,s)
 {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
 n.callMethod.apply(n,arguments):n.queue.push(arguments)};
 if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
 n.queue=[];t=b.createElement(e);t.async=!0;
 t.src=v;s=b.getElementsByTagName(e)[0];
 s.parentNode.insertBefore(t,s)}(window, document,'script',
 'https://connect.facebook.net/en_US/fbevents.js');
 fbq('init', '430324057091381');
 fbq('track', 'PageView');
 //},2500);
 /* Twitter universal website tag code */
 //setTimeout(function(){
 !function(e,t,n,s,u,a){e.twq||(s=e.twq=function(){s.exe?s.exe.apply(s,arguments):s.queue.push(arguments);
 },s.version='1.1',s.queue=[],u=t.createElement(n),u.async=!0,u.src='//static.ads-twitter.com/uwt.js',
 a=t.getElementsByTagName(n)[0],a.parentNode.insertBefore(u,a))}(window,document,'script');
 // Insert Twitter Pixel ID and Standard Event data below
 twq('init','nz1qy');
 twq('track','PageView');
 //},3000);
 /* Hotjar Tracking Code for www.bridge.edu */
 //setTimeout(function(){
 // (function(h,o,t,j,a,r){
 // 	h.hj=h.hj||function(){(h.hj.q=h.hj.q||[]).push(arguments)};
 // 	h._hjSettings={hjid:2553160,hjsv:6};
 // 	a=o.getElementsByTagName('head')[0];
 // 	r=o.createElement('script');r.async=1;
 // 	r.src=t+h._hjSettings.hjid+j+h._hjSettings.hjsv;
 // 	a.appendChild(r);
 // })(window,document,'https://static.hotjar.com/c/hotjar-','.js?sv=');
 //},3500);
}
if(document.readyState === "complete" || document.readyState === "interactive"){
 _loadTracking();
} else {
 window.addEventListener('load', _loadTracking, supportsPassive ? { passive: true } : false);
}